Package org.eclipse.zest.core.viewers

# Class EntityConnectionData

java.lang.Object
org.eclipse.zest.core.viewers.EntityConnectionData

public final class EntityConnectionData extends Object
A simple object that is used as the "external connection" in content providers that don't ask the user to create their own external connection. This is used whenever users don't specify a connection

## Field Summary

Fields
Modifier and Type
Field
Description
`final Object`
`dest`
`final Object`
`source`

## Constructor Summary

Constructors
Constructor
Description
`EntityConnectionData(Object source, Object dest)`
Creates a new entity connection data.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### source

public final Object source

### dest

public final Object dest

## Constructor Details

### EntityConnectionData

public EntityConnectionData(Object source, Object dest)
Creates a new entity connection data. The source and dest are users nodes.

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`